# Base de Connaissances - Épreuve E6 BTS SIO (SISR/SLAM)

## 🛠 Logiciels utilisés et actions clés (Paramétrage / Débogage)

### 🔒 Zabbix (Supervision)

* Configuration des hôtes et groupes d'hôtes
* Déploiement des agents Zabbix sur clients Linux/Windows
* Création de templates personnalisés
* Débogage : vérifier le service `zabbix-agent`, logs `/var/log/zabbix/`

### 🗃 GLPI (Gestion de parc)

* Liaison avec OCS Inventory
* Droits et profils utilisateurs
* Ajout manuel et automatique de matériel
* Débogage : vérifier les connexions SQL et logs PHP/Apache

### 🌐 Apache2 (Serveur Web)

* Configuration des VirtualHosts (`/etc/apache2/sites-available`)
* Activation site : `a2ensite monsite.conf` + `systemctl reload apache2`
* Debug : `apache2ctl configtest`, journal `/var/log/apache2/error.log`

### ❤️ Heartbeat (HA pour Apache)

* Configuration de la ressource Apache dans `/etc/ha.d/haresources`
* IP flottante : vérification de `ip a` pour bascule
* Logs Heartbeat : `/var/log/ha-log`

### ✉️ hMailServer (Serveur de mail local Windows)

* Configuration domaines, comptes et règles
* Connexion SMTP / POP3 depuis clients mail
* Debug : activer logs SMTP, vérifier antivirus/firewall

### 🧠 Active Directory (AD + GPO + DNS + DHCP)

* GPO : `gpmc.msc` → script démarrage, restriction USB, etc.
* DNS : zones directes/inverses, enregistrements A/CNAME
* DHCP : réservation IP, plages d'adresses, filtrage MAC
* Debug : `dcdiag`, `eventvwr`, vérification services AD/DNS/DHCP

### ☁️ Nextcloud (Cloud privé)

* Configuration `config.php`, base de données
* Droits utilisateurs, stockage local ou externe
* Debug : vérifier permissions fichiers, logs `/var/www/nextcloud/data/`

---

## 🌐 Réseaux - Paramétrages & Debug

### 🔁 Protocoles de redondance (HSRP / VRRP)

* HSRP : configuration via Cisco CLI → `standby <group> ip <ip>`
* Vérification priorité, préemption
* Debug : `show standby`

### 💡 DHCP

* Plages dynamiques / réservations
* Configuration sur Windows Server ou Cisco (`ip dhcp pool`)
* Debug : `ipconfig /renew`, `show ip dhcp binding`

### 🔄 VTP (VLAN Trunking Protocol)

* Mode : Server / Client / Transparent
* Vérifier domaine VTP, mot de passe : `show vtp status`
* Debug : vérifier trunk actif : `show interfaces trunk`

### 🔐 ACLs (Listes de contrôle d’accès)

* Standard / Étendues : `access-list`, `ip access-group`
* Placement en entrée/sortie sur interfaces
* Debug : `show access-lists`, `debug ip packet`

---

> Utilisation recommandée : intégrer chaque logiciel ou protocole dans Cursor comme "carte" avec catégories : objectifs, paramétrage, commandes, erreurs fréquentes et solutions.
