# Apache2 (Serveur Web)

## Configuration
### VirtualHosts
- Création du fichier de configuration
  ```bash
  /etc/apache2/sites-available/monsite.conf
  ```
- Structure type
  ```apache
  <VirtualHost *:80>
      ServerName monsite.com
      DocumentRoot /var/www/monsite
      <Directory /var/www/monsite>
          Options Indexes FollowSymLinks
          AllowOverride All
          Require all granted
      </Directory>
  </VirtualHost>
  ```

### Activation
```bash
a2ensite monsite.conf
systemctl reload apache2
```

## Débogage
### Test de Configuration
```bash
apache2ctl configtest
```

### Logs
- Error log : `/var/log/apache2/error.log`
- Access log : `/var/log/apache2/access.log`
- Analyse des erreurs
- Rotation des logs

## Sécurité
- Configuration SSL/TLS
- Protection contre les attaques
- Gestion des permissions
- Mise à jour régulière 