# Commandes Réseau Windows

## Commandes de Diagnostic

### ipconfig
```cmd
ipconfig                    # Affiche la configuration IP de base
ipconfig /all              # Affiche la configuration IP détaillée
ipconfig /release          # Libère l'adresse IP
ipconfig /renew            # Renouvelle l'adresse IP
ipconfig /flushdns         # Vide le cache DNS
```

### ping
```cmd
ping google.com            # Test de connectivité basique
ping -t google.com         # Ping continu
ping -n 4 google.com       # Envoie 4 paquets
ping -l 1500 google.com    # Taille de paquet de 1500 octets
```

### tracert
```cmd
tracert google.com         # Trace le chemin vers l'hôte
tracert -d google.com      # Ne résout pas les noms d'hôtes
```

### netstat
```cmd
netstat -an                # Affiche toutes les connexions
netstat -b                 # Affiche les programmes associés
netstat -n                 # Affiche les adresses en format numérique
```

## Commandes de Configuration

### netsh
```cmd
netsh interface ip show config    # Affiche la configuration IP
netsh interface ip set dns        # Configure le DNS
netsh wlan show profiles          # Affiche les profils WiFi
```

### route
```cmd
route print               # Affiche la table de routage
route add                 # Ajoute une route
route delete             # Supprime une route
```

## Commandes de Résolution de Problèmes

### nslookup
```cmd
nslookup google.com       # Interroge le serveur DNS
nslookup -type=mx google.com  # Recherche les enregistrements MX
```

### arp
```cmd
arp -a                    # Affiche la table ARP
arp -d *                  # Supprime toutes les entrées ARP
```

## Notes Importantes
- Toujours exécuter les commandes en tant qu'administrateur si nécessaire
- Les commandes peuvent varier selon la version de Windows
- Utiliser `/?` après une commande pour obtenir l'aide (ex: `ipconfig /?`) 