# Protocoles Réseau

## Protocoles de la Couche Application

### HTTP/HTTPS
- **Port**: 80 (HTTP), 443 (HTTPS)
- **Description**: Protocole de transfert hypertexte
- **Utilisation**: Navigation web, API REST
- **Sécurité**: HTTPS utilise TLS/SSL pour le chiffrement

### DNS
- **Port**: 53
- **Description**: Système de noms de domaine
- **Fonction**: Conversion nom de domaine ↔ adresse IP
- **Types d'enregistrements**:
  - A: IPv4
  - AAAA: IPv6
  - MX: Serveurs mail
  - CNAME: Alias
  - TXT: Informations textuelles

### DHCP
- **Port**: 67 (serveur), 68 (client)
- **Description**: Configuration automatique des hôtes
- **Fonction**: Attribution automatique d'adresses IP
- **Processus**: Découverte, Offre, Requête, Acknowledgment

## Protocoles de la Couche Transport

### TCP
- **Caractéristiques**:
  - Orienté connexion
  - Fiabilité garantie
  - Contrôle de flux
  - Réorganisation des paquets
- **Utilisation**: Web, Email, FTP

### UDP
- **Caractéristiques**:
  - Sans connexion
  - Pas de garantie de livraison
  - Faible latence
- **Utilisation**: Streaming, VoIP, DNS

## Protocoles de la Couche Internet

### IP
- **Versions**:
  - IPv4: 32 bits (ex: 192.168.1.1)
  - IPv6: 128 bits (ex: 2001:0db8:85a3::8a2e:0370:7334)
- **Fonction**: Routage des paquets

### ICMP
- **Description**: Protocole de messages de contrôle
- **Utilisation**: Diagnostic réseau (ping, tracert)

## Protocoles de la Couche Accès Réseau

### ARP
- **Fonction**: Résolution d'adresse IP vers MAC
- **Utilisation**: Communication sur réseau local

### Ethernet
- **Caractéristiques**:
  - Débit: 10/100/1000/10000 Mbps
  - Format de trame
  - Adressage MAC

## Notes de Sécurité
- Toujours privilégier les protocoles chiffrés (HTTPS, SSH)
- Configurer correctement les pare-feu
- Maintenir les systèmes à jour
- Utiliser des mots de passe forts
- Implémenter le filtrage MAC si nécessaire 